#include <stdio.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>

int getline(char s[], int lim){
	int i, c;
	for (i=0; i<lim && (c=getchar()) != EOF && c != '\n'; ++i) {
		s[i] = c;
	}
	s[i] = '\0';
	return (i);
}


int szame(char e[]){
int i=0,ok=1,h=0,n=0;
h=strlen(e);


if(!isdigit(e[i]) && e[i]!='+'){ok=0;}
	if(ok==1){
		for(i=1;i<h;i++){
			if(!isdigit(e[i])){ok=0;}	
		}
	}
if(ok==1){
	n=atoi(e);
	if(n>9999 ||n<1000){ok=0;}
}

return ok;	
}

void main(void){
char e[128];
int sz[3];
int ok=1,n=0,k=0,t=0,i=0,z=0,db=0;
	
printf("Adja meg az elso szamot\n");

do{
getline(e,128);

if(szame(e)){
ok=1; 
n=atoi(e);
sz[0]=n;
}

else{ok=0; printf("Nem jo, adja meg ujra\n");}	
}while(ok!=1);


printf("Adja meg az masodik szamot\n");

do{
getline(e,128);

if(szame(e)){
ok=1; 
k=atoi(e);

if(k<sz[0]){ok=0; printf("Nem jo, adja meg ujra a masodik szamot\n");}
else{
	sz[1]=k;}
}

else{ok=0; printf("Nem jo, adja meg ujra\n");}
	
}while(ok!=1);


for(i=0;i<sz[1];i++){
	z=i*i*i;
	
	if(z>sz[0] && z<sz[1]){printf("%d*%d*%d=%d\n",i,i,i,z); db++;}
}
printf("A %d kobszamot talalta a program a megadott intervallumban\n",db);
	
}
